Summary: Open Graphics Transformation Languages
Name: opengtl
Version: 0.9.18
Release: %mkrel 3
Source0: http://download.opengtl.org/OpenGTL-%{version}.tar.bz2
Patch0: OpenGTL-0.9.16-fix-link.patch
Patch2: OpenGTL-0.9.17-libpng-1.6.patch
Patch3: OpenGTL-0.9.18-llvm3.3.patch
License: LGPLv2+
Group: System/Libraries
Url: http://www.opengtl.org/
BuildRequires: cmake
BuildRequires: zlib-devel
BuildRequires: png-devel
BuildRequires: llvm-devel >= 3.1
Requires: llvm >= 3.1
Provides: OpenGTL = %version

%description
Graphics Transformation Languages is a set of library for using and
integrating transformation algorithms (such as filter or color conversion)
in graphics applications

%files
%{_bindir}/*
%{_libdir}/GTLImageIO
%{_datadir}/OpenGTL

#--------------------------------------------------------------------

%define libgtlcore_major 0
%define libgtlcore %mklibname gtlcore %libgtlcore_major

%package -n %libgtlcore
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libgtlcore
OpenGTL core library.

%files -n %libgtlcore
%_libdir/libGTLCore.so.%{libgtlcore_major}*

#--------------------------------------------------------------------

%define libgtlfragment_major 0
%define libgtlfragment %mklibname gtlfragment %libgtlfragment_major

%package -n %libgtlfragment
Summary: OpenGTL core library
Group: System/Libraries

%description -n %libgtlfragment
OpenGTL core library.

%files -n %libgtlfragment
%_libdir/libGTLFragment.so.%{libgtlfragment_major}*

#--------------------------------------------------------------------

%define libgtlimageio_major 0
%define libgtlimageio %mklibname gtlimageio %libgtlimageio_major

%package -n %libgtlimageio
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libgtlimageio
OpenGTL core library.

%files -n %libgtlimageio
%_libdir/libGTLImageIO.so.%{libgtlimageio_major}*

#--------------------------------------------------------------------

%define libopenctl_major 0
%define libopenctl %mklibname openctl %libopenctl_major

%package -n %libopenctl
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libopenctl
OpenGTL core library.

%files -n %libopenctl
%_libdir/libOpenCTL.so.%{libopenctl_major}*

#--------------------------------------------------------------------

%define libopenshiva_major 0
%define libopenshiva %mklibname openshiva %libopenshiva_major

%package -n %libopenshiva
Summary: OpenGTL core library
Group: System/Libraries
Conflicts: %{_lib}opengtl0.6 < 0.9.13

%description -n %libopenshiva
OpenGTL core library.

%files -n %libopenshiva
%_libdir/libOpenShiva.so.%{libopenshiva_major}*

#--------------------------------------------------------------------

%define develname %mklibname -d %name

%package -n %develname
Summary: OpenGTL development files
Group: Development/C++
Requires: %libgtlcore = %{version}-%{release}
Requires: %libgtlfragment = %{version}-%{release}
Requires: %libopenshiva = %{version}-%{release}
Requires: %libopenctl = %{version}-%{release}
Requires: %libgtlimageio = %{version}-%{release}
Provides: OpenGTL-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: OpenCTL-devel = %{version}-%{release}
Provides: openctl-devel = %{version}-%{release}

%description -n %develname
This package contains header files needed if you wish to build applications
based on OpenGTL.

%files -n %develname
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

#--------------------------------------------------------------------

%prep
%setup -q -n OpenGTL-%{version}
%patch0 -p0
%patch2 -p0 -b .png
%patch3 -p1

%build
%cmake
%make

%install
%{makeinstall_std} -C build


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.18-3.mga4
+ Revision: 532699
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 fwang <fwang> 0.9.18-2.mga4
+ Revision: 469254
- refresh with fedora patch
- recognize llvm 3.3
- rebuild for new llvm

* Sun Jun 30 2013 fwang <fwang> 0.9.18-1.mga4
+ Revision: 448542
- new version 0.9.18

* Mon Jun 03 2013 fwang <fwang> 0.9.17-4.mga4
+ Revision: 436102
- fix build with latest libpng
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 0.9.17-3.mga3
+ Revision: 362040
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 fwang <fwang> 0.9.17-2.mga3
+ Revision: 336112
- add llvm 3.2 patch from upstream

  + kamil <kamil>
    - rebuild for llvm 3.2

* Fri Aug 03 2012 fwang <fwang> 0.9.17-1.mga3
+ Revision: 278076
- br llvm 3.1
- new version 0.9.17

* Fri Feb 03 2012 fwang <fwang> 0.9.16-1.mga2
+ Revision: 204238
- rediff linkage patch
- new version 0.9.16
- new version 0.9.6

* Sun Jan 08 2012 fwang <fwang> 0.9.16-0.20120102.2.mga2
+ Revision: 193164
- drop merged patches
  do not obsolete new packages now

* Sun Jan 08 2012 fwang <fwang> 0.9.16-0.20120102.1.mga2
+ Revision: 193150
- update file list
- fix linkage
- new snapshot to build with llvm 3.0

* Thu Dec 01 2011 fwang <fwang> 0.9.15.2-1.mga2
+ Revision: 174945
- more linakge fix
- new version 0.9.15.2

* Mon Sep 19 2011 fwang <fwang> 0.9.15.1-3.mga2
+ Revision: 145364
- rebuild for new libpng

* Fri Jul 15 2011 mikala <mikala> 0.9.15.1-2.mga2
+ Revision: 124439
- Add patch1 from upstream to fix load of library on x86_64 arch ( see https://redmine.opengtl.org/issues/72s )

* Sun Jun 26 2011 dmorgan <dmorgan> 0.9.15.1-1.mga2
+ Revision: 113837
- Fix file list
- New version 0.9.15.1

* Fri Feb 11 2011 ahmad <ahmad> 0.9.15-3.mga1
+ Revision: 50382
- imported package opengtl


* Sun Oct 24 2010 Funda Wang <fwang@mandriva.org> 0.9.15-2mdv2011.0
+ Revision: 589150
- correct file list
- renew tarball

* Sun Oct 24 2010 Funda Wang <fwang@mandriva.org> 0.9.15-1mdv2011.0
+ Revision: 588717
- patch to build with llvm 2.8
- new verson 0.9.15

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.9.14-3mdv2011.0
+ Revision: 565785
- renew tarball with llvm 2.7

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - rebuild for missing packages, eaten by the BS

* Tue May 18 2010 Funda Wang <fwang@mandriva.org> 0.9.14-2mdv2010.1
+ Revision: 545070
- add patch fix build with latest ldflags
- fix conflicts with

* Tue Mar 16 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.14-1mdv2010.1
+ Revision: 521124
- Update for koffice

* Mon Mar 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.13-2mdv2010.1
+ Revision: 519945
- Fix file list
- Fix used macros
  fix conflicts with previous lib
- New version 0.9.13

* Wed Nov 25 2009 Funda Wang <fwang@mandriva.org> 0.9.12-1mdv2010.1
+ Revision: 469908
- New versino 0.9.12

* Thu Sep 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.10-1mdv2010.0
+ Revision: 443967
- New version 0.9.10

* Thu Jul 30 2009 Funda Wang <fwang@mandriva.org> 0.9.9-2mdv2010.0
+ Revision: 404528
- add openctl provides

* Wed Jul 29 2009 Funda Wang <fwang@mandriva.org> 0.9.9-1mdv2010.0
+ Revision: 403874
- fix license
- import opengtl

